GWT 2.7.0

## com.google.gwt.typedarrays.client
Class Uint8ClampedArrayNativeEmul

    java.lang.Object
      com.google.gwt.typedarrays.client.Uint8ClampedArrayNativeEmul

All Implemented Interfaces:
  ArrayBufferView, Uint8Array, Uint8ClampedArray

    public class Uint8ClampedArrayNativeEmul

extends java.lang.Object
implements Uint8ClampedArray

Emulated version of `Uint8ClampedArray` that is implemented using a `Uint8Array`.

Field Summary

Fields inherited from interface com.google.gwt.typedarrays.shared.Uint8Array
`BYTES_PER_ELEMENT`

Constructor Summary
`protected` | `Uint8ClampedArrayNativeEmul(ArrayBuffer buffer, int byteOffset, int length)` Internal constructor for creating an `Uint8ClampedArrayNativeEmul` on an existing `ArrayBuffer` instance.

Method Summary
`ArrayBuffer` | `buffer()` Get the underlying `ArrayBuffer`.
`int` | `byteLength()` Get the length of this view in bytes.
`int` | `byteOffset()` Get the offset from the beginning of the underlying `ArrayBuffer`.
`static Uint8ClampedArray` | `create(ArrayBuffer buffer, int byteOffset, int length)` Create a `Uint8ClampedArray` instance on an existing `ArrayBuffer`.
`static Uint8ClampedArray` | `create(JsArrayInteger array)` Create a `Uint8ClampedArray` instance from a JavaScript array containing integers.
`static Uint8ClampedArray` | `create(short[] array)` Create a `Uint8ClampedArray` instance from a short array.
`short` | `get(int index)` Retrieve one element of this view.
`int` | `length()` The length in elements of this view.
`void` | `set(int[] array)` Set multiple elements in this view from an array, storing starting at 0.
`void` | `set(int[] array, int offset)` Set multiple elements in this view from an array, storing starting at the requested offset.
`void` | `set(int index, int value)` Set one element in this view.
`void` | `set(short[] array)` Set multiple elements in this view from an array, storing starting at 0.
`void` | `set(short[] array, int offset)` Set multiple elements in this view from an array, storing starting at the requested offset.
`void` | `set(Uint8Array array)` Set multiple elements in this view from another view, storing starting at 0.
`void` | `set(Uint8Array array, int offset)` Set multiple elements in this view from another view, storing starting at the requested offset.
`Uint8ClampedArray` | `subarray(int begin)` Create a new view from the same array, from `offset` to the end of this view.
`Uint8ClampedArray` | `subarray(int begin, int end)` Create a new view from the same array, from `offset` to (but not including) `end` in this view.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Uint8ClampedArrayNativeEmul

    protected Uint8ClampedArrayNativeEmul(ArrayBuffer buffer,
                                          int byteOffset,
                                          int length)

  Internal constructor for creating an `Uint8ClampedArrayNativeEmul` on an existing `ArrayBuffer` instance.

  Parameters:
    `buffer` -
    `byteOffset` -
    `length` -

Method Detail

### create

    public static Uint8ClampedArray create(ArrayBuffer buffer,
                                           int byteOffset,
                                           int length)

  Create a `Uint8ClampedArray` instance on an existing `ArrayBuffer`.

  Parameters:
    `buffer` -
    `byteOffset` -
    `length` -
  Returns:
    `Uint8ClampedArray` instance

### create

    public static Uint8ClampedArray create(short[] array)

  Create a `Uint8ClampedArray` instance from a short array.

  Parameters:
    `array` -
  Returns:
    `Uint8ClampedArray` instance

### create

    public static Uint8ClampedArray create(JsArrayInteger array)

  Create a `Uint8ClampedArray` instance from a JavaScript array containing integers.

  Parameters:
    `array` - JavaScript array object
  Returns:
    `Uint8ClampedArray` instance

### buffer

    public ArrayBuffer buffer()

  Description copied from interface: `ArrayBufferView`
  Get the underlying `ArrayBuffer`.

  Specified by:
    `buffer` in interface `ArrayBufferView`
  Returns:
    the `ArrayBuffer` instance backing this view

### byteLength

    public int byteLength()

  Description copied from interface: `ArrayBufferView`
  Get the length of this view in bytes.

  Specified by:
    `byteLength` in interface `ArrayBufferView`
  Returns:
    number of bytes in this view

### byteOffset

    public int byteOffset()

  Description copied from interface: `ArrayBufferView`
  Get the offset from the beginning of the underlying `ArrayBuffer`.

  Specified by:
    `byteOffset` in interface `ArrayBufferView`
  Returns:
    0-based offset from the beginning of `ArrayBufferView.buffer()`

### get

    public short get(int index)

  Description copied from interface: `Uint8Array`
  Retrieve one element of this view.

  Specified by:
    `get` in interface `Uint8Array`
  Returns:
    the requested element, 0-255

### length

    public int length()

  Description copied from interface: `Uint8Array`
  The length in elements of this view.

  Specified by:
    `length` in interface `Uint8Array`
  Returns:
    non-negative length

### set

    public void set(int index,
                    int value)

  Description copied from interface: `Uint8Array`
  Set one element in this view.

  Specified by:
    `set` in interface `Uint8Array`

### set

    public void set(int[] array)

  Description copied from interface: `Uint8Array`
  Set multiple elements in this view from an array, storing starting at 0.

  Specified by:
    `set` in interface `Uint8Array`

### set

    public void set(int[] array,
                    int offset)

  Description copied from interface: `Uint8Array`
  Set multiple elements in this view from an array, storing starting at the requested offset.

  Specified by:
    `set` in interface `Uint8Array`

### set

    public void set(short[] array)

  Description copied from interface: `Uint8Array`
  Set multiple elements in this view from an array, storing starting at 0.

  Specified by:
    `set` in interface `Uint8Array`

### set

    public void set(short[] array,
                    int offset)

  Description copied from interface: `Uint8Array`
  Set multiple elements in this view from an array, storing starting at the requested offset.

  Specified by:
    `set` in interface `Uint8Array`

### set

    public void set(Uint8Array array)

  Description copied from interface: `Uint8Array`
  Set multiple elements in this view from another view, storing starting at 0.

  Specified by:
    `set` in interface `Uint8Array`

### set

    public void set(Uint8Array array,
                    int offset)

  Description copied from interface: `Uint8Array`
  Set multiple elements in this view from another view, storing starting at the requested offset.

  Specified by:
    `set` in interface `Uint8Array`

### subarray

    public Uint8ClampedArray subarray(int begin)

  Description copied from interface: `Uint8ClampedArray`
  Create a new view from the same array, from `offset` to the end of this view. These offset is clamped to legal indices into this view, so it is not an error to specify an invalid index.

  Specified by:
    `subarray` in interface `Uint8Array`
  Specified by:
    `subarray` in interface `Uint8ClampedArray`
  Parameters:
    `begin` - offset into this view if non-negative; if negative, an index from the end of this view
  Returns:
    a new `Uint8ClampedArray` instance

### subarray

    public Uint8ClampedArray subarray(int begin,
                                      int end)

  Description copied from interface: `Uint8ClampedArray`
  Create a new view from the same array, from `offset` to (but not including) `end` in this view. These indices are clamped to legal indices into this view, so it is not an error to specify invalid indices.

  Specified by:
    `subarray` in interface `Uint8Array`
  Specified by:
    `subarray` in interface `Uint8ClampedArray`
  Parameters:
    `begin` - offset into this view if non-negative; if negative, an index from the end of this view
    `end` - offset into this view if non-negative; if negative, an index from the end of this view
  Returns:
    a new `Uint8ClampedArray` instance

GWT 2.7.0